#include "CS_Signboard_Hotel.h"

CS_Signboard_Hotel::CS_Signboard_Hotel()
{
	ani.png = L"CS_CaveStoryMod";
}

void CS_Signboard_Hotel::SetState(int stateID, int lr)
{
	this->lr = lr;
	ani.sprite_index = lr == 0 ? L"ls_signboard_hotel_open" : L"ls_signboard_hotel_close";
}

std::shared_ptr<Entity> CreateCS_Signboard_Hotel()
{
	return std::make_shared<CS_Signboard_Hotel>();
}
